#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-media
Version		:	1.28.1
Release		:	16.2.1.rel%{?dist}
Summary		:	MATE volume control application and applet
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	intltool
BuildRequires	:	libcanberra
BuildRequires	:	libmatemixer
BuildRequires	:	mate-common
BuildRequires	:	mate-desktop
BuildRequires	:	mate-panel

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires	:	xdg-sound-theme
#-----------------------------------------------------------------------------
%description
This package contains a few media utilities for the mate desktop,
including a volume control and a configuration utility for audio
profiles.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/%{shortname}-volume-control-status-icon.desktop
%{_bindir}/%{shortname}-volume-control*
%{_libexecdir}/%{shortname}-volume-control-applet
%{_datadir}/dbus-1/services/org.%{shortname}.panel.applet.*.service
%{_datadir}/%{shortname}-panel/applets/org.%{shortname}.applets.*.%{shortname}-panel-applet
%{_datadir}/%{name}/icons/hicolor/*/devices/*.svg
%{_datadir}/%{name}/icons/hicolor/*/status/*.png
%{_datadir}/%{name}/icons/hicolor/scalable/status/*.svg
%{_datadir}/%{name}/sounds/%{shortname}-sounds-default.xml
%{_datadir}/applications/%{shortname}-volume-control.desktop
%{_datadir}/sounds/%{shortname}/default/alerts/*.ogg
%{_mandir}/man1/%{shortname}-volume-control*.1.gz

#-----------------------------------------------------------------------------
%postun
if [ $1 -eq 0 ] ; then
  mkdir -p %{_datadir}/icons/hicolor
  %{_bindir}/gtk-update-icon-cache -f -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
mkdir -p %{_datadir}/icons/hicolor
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
